import java.util.Scanner; 

public class SentinelValue {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);

    // Wczytywanie danych wejściowych
    System.out.print(
      "Wpisz liczbę całkowitą (0 kończy wprowadzanie danych): ");
    int data = input.nextInt();

    // Wczytywanie danych do czasu wprowadzenia wartości 0
    int sum = 0;
    while (data != 0) {
      sum += data;

      // Wczytywanie następnej wartości
      System.out.print(
        "Wpisz liczbę całkowitą (0 kończy wprowadzanie danych): ");
      data = input.nextInt();
    }

    System.out.println("Suma wynosi " + sum);
  }
}
